SSTAT(1)

NAME
sstat - Used to query running job and see various usage information of job/step running.

SYNOPSIS
sstat sstat [OPTIONS...]

DESCRIPTION

Status information for jobs invoked with SLURM.

The sstat command displays job accounting data stored in the job accounting log file in a variety of forms for your analysis. The sstat command displays information on jobs, job steps, status, and exitcodes by default. You can tailor the output with the use of the --fields= option to specify the fields to be shown.

For the root user, the sstat command displays job status data for any job running on the system.

For the non-root user, the sstat command limits the display of job status data to jobs that were launched with their own user identifier (UID) by default.

  Options

•   jobid

    and --fields= options.

-F field_list ,  --fields=field_list
    Displays the job status data specified by the field_list operand, which is a comma-separated list of fields. Space characters are not allowed in the field_list.

    See the --help-fields option for a list of the available fields. See the section titled "Job Status Fields" for a description of each field.

    The job accounting data is displayed in the order specified by the field_list operand. Thus, the following two commands display the same data but in different order:

    # sstat --fields=jobid,state
    Jobid    State
    ---------- ----------
    3          COMPLETED
    3.0        COMPLETED

    # sacct --fields=status,jobid
    State     Jobid
    ---------- ----------
    COMPLETED  3
    COMPLETED  3.0

    The default value for the field_list operand is "jobid,vsize,rss,pages,cputime,ntasks,state".

    This option has no effect when the --dump option is also specified.

-h , --help
    Displays a general help message.

--help-fields
    Displays a list of fields that can be specified with the --fields option.

    Fields available:
    cputime     jobid       ntasks      pages
    rss         state       vsize

    The section titled "Job Accounting Fields" describes these fields.

-j job(.step) ,  --jobs=job(.step)
    Displays information about the specified job(.step) or list of job(.step)s.

    The job(.step) parameter is a comma-separated list of jobs. Space characters are not permitted in this list.

    The default is to display information on all jobs.

--noheader
    Prevents the display of the heading over the output. The default action is to display a header.

    This option has no effect when used with the --dump option. -S , --stat

    Queries the status of a job as the job is running displaying the following data:

    •   jobid

    •   vsize

    •   rss

    •   pages

    •   cputime

    •   ntasks

    •   status

    You must also include the --jobs=job(.step) option if no (.step) is given you will recieve the job.0 step.

--usage
    Displays a help message.

-v , --verbose
    Reports the state of certain variables during processing. This option is primarily used for debugging.

  Job Status Fields
The following describes each job accounting field:

    cputime
        Minimum CPU time of any process followed by its task id along with the average of all processes running in the step.

    jobid
        The number of the job or job step. It is in the form: job.jobstep.

    ntasks
        Total number of tasks in job.

    pages
        Maximum page faults of any process followed by its task id along with the average of all processes running in the step.

    rss Maximum resident set size of any process followed by its task id along with the average of all processes running in the step.

    state
        Displays the job state.

        Output can be RUNNING, SUSPENDED, COMPLETED, CANCELLED, FAILED, TIMEOUT, or NODE_FAIL.

    vsize
        Maximum Virtual Memory size of any process followed by its task id along with the average of all processes running in the step.

EXAMPLES

COPYING
Copyright (C) 2008 Lawrence Livermore National Security. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). LLNL-CODE-402394.

This file is part of SLURM, a resource management program. For details, see <https://computing.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
sacct(1)